# Uses of Class
it.tdlight.jni.TdApi.Address

## Uses of TdApi.Address in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Address
Modifier and Type
Field
Description
`TdApi.Address`
TdApi.InputPassportElementAddress.`address`
The address to be saved.
`TdApi.Address`
TdApi.PassportElementAddress.`address`
Address.
`TdApi.Address`
TdApi.OrderInfo.`shippingAddress`
Shipping address for this order; may be null.
`TdApi.Address`
TdApi.UpdateNewShippingQuery.`shippingAddress`
User shipping address.
Constructors in it.tdlight.jni with parameters of type TdApi.Address
Modifier
Constructor
Description
``
`InputPassportElementAddress(TdApi.Address address)`
A Telegram Passport element to be saved containing the user's address.
``
`OrderInfo(String name, String phoneNumber, String emailAddress, TdApi.Address shippingAddress)`
Order information.
``
`PassportElementAddress(TdApi.Address address)`
A Telegram Passport element containing the user's address.
``
`UpdateNewShippingQuery(long id, long senderUserId, String invoicePayload, TdApi.Address shippingAddress)`
A new incoming shipping query; for bots only.